Bug 240909 - memory leak fixed in RHEL3 but present in RHEL4
memory leak fixed in RHEL3 but present in RHEL4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh (Show other bugs)
4.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 15:52 EDT by Chris Stankaitis
Modified: 2010-10-22 11:13 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0703
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 09:58:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Stankaitis 2007-05-22 15:52:37 EDT
Description of problem:

A memory leak which was patched in RHEL3 - Redhat Bugzilla #151080 and has been
included in openssh 3.6.1p2 moving forward also apears to be present in RHEL4.  

Checking the code of the patch against current srpm of RHEL4 openssh it does not
appear that the contents of the Red Hat - openssh-3.6.1p2-sftp-memleak.patch was
accepted upstream and/or included in the RHEL4 3.9p1 branch code.

The memory leak is causing a significant production impact, and is hindering our
ability to do business without constant attention from our Network Operations
team, and constant service restarts to clear the consumed memory.

Version-Release number of selected component (if applicable):

openssh-3.9p1-8.RHEL4.17.1.x86_64
openssh-server-3.9p1-8.RHEL4.17.1.x86_64
openssh-clients-3.9p1-8.RHEL4.17.1.x86_64

How reproducible:

Always
Comment 1 Chris Stankaitis 2007-05-28 10:20:13 EDT
Hi Tomas can I get an update regarding this bug? it has significant impact for us.
Comment 3 RHEL Product and Program Management 2007-05-28 11:24:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Chris Stankaitis 2007-07-11 13:13:10 EDT
We also may be deploying this same system in RHEL5 in the near future, will you
be checking this fix against the current RHEL5 OpenSSH as well?  I would hate to
be in the same boat in less then a year from now having to go through this again.
Comment 7 Tomas Mraz 2007-07-11 14:26:24 EDT
As the fix was backported from openssh-4.3p2 - RHEL5 is OK.
Comment 13 errata-xmlrpc 2007-11-15 09:58:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0703.html

Note You need to log in before you can comment on or make changes to this bug.